Rotate Adaptive Component

Hi,

I am trying to rotate an Adaptive Component. In the project view in Revit, I can select that element > modify > rotate and everything works fine. I want to do the same thing using Dynamo. I’ve tried using FamilyInstance.SetRotation and Geometry.Rotate, but those functions return an error (expected Family Instance or Geometry).

What can I do?

Thanks.

Can you please post a screenshot of your work so far?

Of course. It is pretty simple:

You could try looking into ElementTransformUtils?
Rotate Adaptive Component.dyn (4.1 KB)
ezgif-2-8ccde24859

3 Likes

Thanks. It worked just fine. But I confess I tought it would be easier hahaha.

If your adaptive component has only on central placement point you could place another point on it and put a “Rotation parameter” on Rotation.
After this you can use “SetValuebyParameterName” on your Parameter and rotate the component.

I tried to do that, but I couldnt put that “Rotation Parameter” on my component.

Let me try to explain.

One column is formed by 4 elements. Those elements are the same, but I have to be able to mirror and rotate each part to form the whole column.

When I place just one element on the placement point, everything works fine and i can set the rotation parameter.

But when I try to place the remaining 3 parts, I cant mirror then in the correct whey. Everytime I try to mirror the element I get that result:

What am I doing wrong? Can you help me? I would like to use that solution, because I think it would be much more simple.

Thanks.

Can you tell me why you have used an adaptive component for this, instead of a Structural Column family? The OOTB node to rotate those.

1 Like

To be honest, I did so out of pure ignorance. I’m new to revit.

I will give it a try.

1 Like

Hi Fiesta, I have been trying to rotate my adaptive family which is built by two points inside the family editor, but Revit says “Can’t rotate geometry” each time I try. Could you please explain me step by step how do you place that point and have it rotate the whole family? and would it be doing the same job if my adaptive family has nested adaptive families? I would highly appreciate your help!

Hi mushurov, sorry for answering so late.

  1. create adaptiv point
  2. choose one of the three planes for your rotation.
    I choose the xy-plane for horizontal rotation.
    Set your working plane to that xy-plane
  3. place a point on the first adaptiv point and set a parameter on Rotation Angle
  4. after that you can place Geometrie on the point.
    You need too set the reference planes of the normal point visible for that and set the working plane.
    You can also set the reference planes of the adaptiv point to not visible (easyer to work)
2 Likes

Thank you very much Fiesta! :slight_smile:

Is there a python script involved with this? How can I work with that? I am new in dynamo.

@Fiesta I tried the steps, next what to do in dynamo? I have created a rotating parameter now how do I rotate it, my problem is also similar to his.

You need to place your adaptive family in Revit.
Than set your rotation parameter with the “setParameterValueByName” node.

Which ones should I use? and how to set the value? so that I can rotate the pier at 90 degrees.

Element.setParameterValueByName

Link your adaptiv family to Element.
Link a string node with the “rotaton parameter name” to parameter.
Link a value (double) to Value.

Still not working, I am not able to upload the file as I am new. Can I send you personally via email?

It saves my day. Thank you very much